
#pragma once

#include "RGB.h"


class Palette
{
public:
	Palette(void);

	void MakeGreen(void);
	void MakeBlue(void);

	inline const RGB* GetData(void) const
	{
		return m_rgb;
	}

private:
	RGB m_rgb[256u];
};
